std::lognormal_distribution< _RealType > Class Template Reference
Normal Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| lognormal_distribution (_RealType __m=_RealType(0), _RealType __s=_RealType(1))
| lognormal_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | m () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()
_RealType | s () const

## Friends

template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::lognormal_distribution< _RealType1 > &__x)
bool | operator== (const lognormal_distribution &__d1, const lognormal_distribution &__d2)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::lognormal_distribution< _RealType1 > &__x)

## Detailed Description

### template<typename _RealType = double>
class std::lognormal_distribution< _RealType >

A lognormal_distribution random number distribution.

The formula for the normal probability mass function is

Definition at line 2298 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::lognormal_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2301 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 2389 of file random.h.

References std::numeric_limits< _Tp >::max().

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 2382 of file random.h.

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::lognormal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 2397 of file random.h.

References std::lognormal_distribution< _RealType >::operator()().

Referenced by std::lognormal_distribution< _RealType >::operator()().

template<typename _RealType = double>

param_type std::lognormal_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2367 of file random.h.

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 2375 of file random.h.

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2349 of file random.h.

References std::normal_distribution< _RealType >::reset().

## Friends And Related Function Documentation

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::lognormal_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a lognormal_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A lognormal_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

template<typename _RealType = double>

bool operator== | ( | const lognormal_distribution< _RealType > & | __d1,
|  | const lognormal_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two lognormal distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 2434 of file random.h.

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::lognormal_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a lognormal_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A lognormal_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc